Results 1 to 3 of 3

Thread: can't find lbcrypto.so.10 libssl.so.10

  1. #1
    Join Date
    Jan 2010
    Location
    russia
    Posts
    16

    Exclamation can't find lbcrypto.so.10 libssl.so.10

    Hello!

    I've tried do this: ldd /usr/pgsql-10/lib/libpq.so.5I get error mesage: version 'libcrypto.so.10' not found (required by /usr/pgsql-10/lib/libpq.so.5) so same with libssl.


    there are libcrypto.so.1.0.0 libcrypto.1.1 libcrypto.so.44 in /usr/lib64
    I made symlinks (libcrypto.so.10) to these libs, but it didn't helps.

    Help, please.

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    12,004
    Blog Entries
    2

    Default Re: can't find lbcrypto.so.10 libssl.so.10

    In the situations I've run into, linking libcrypto.so.10 to libcrypto.so.1.0.0 solves the problem, it's usually a naming convention issue.

    Where did you get your postgresql from (I'm guessing not from an openSUSE repository)?
    And, perhaps you should install from an openSUSE repo instead?

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3
    Join Date
    Jan 2010
    Location
    russia
    Posts
    16

    Default Re: can't find lbcrypto.so.10 libssl.so.10

    Quote Originally Posted by tsu2 View Post
    In the situations I've run into, linking libcrypto.so.10 to libcrypto.so.1.0.0 solves the problem, it's usually a naming convention issue.

    Where did you get your postgresql from (I'm guessing not from an openSUSE repository)?
    And, perhaps you should install from an openSUSE repo instead?

    TSU
    I installed a previous version of postgres (not from openSUSE) and I've made links to these libs. Now it works fine. I'm confused yesterday.

    Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •